import hou
import os
import sys
import subprocess

def open_hook_id_blender():
    blender_loc = hou.getenv("NS_BLENDER_LOCATION")
    
    if blender_loc:
        os.environ["PATH"] = blender_loc

        selected_nodes = hou.selectedNodes()

        if selected_nodes:
            export_sop = selected_nodes[0]
            blender_parm = export_sop.parm("blender_file_path").eval()
            
            if blender_parm:
                ## open blender ##
                if sys.platform == "darwin":  ## macOS ##
                    pass
                if sys.platform == "linux2":  ## Linux ##
                    pass
                if sys.platform == "win32":  ## Windows ##
                    subprocess.Popen("blender " + blender_parm)

            else:
                hou.ui.displayMessage("Parm missing. Select a SOP-Node::HookID - Null.")

        else:
            hou.ui.displayMessage("Select a SOP-Node::HookID - Null.")
    
    else:
        hou.ui.displayMessage("Set the Blender location first.")

open_hook_id_blender()